<md-dialog flex="50" aria-label="Test details modal filter" zafira-background-theme="modal" class="modal-default styled-modal">
    <div class="modal-default__inner">
        <md-toolbar class="modal-header">
            <div class="md-toolbar-tools modal-header__wrapper">
                <h2 id="modalTitle" class="modal-header__title">Status</h2>
                <span flex></span>
                <md-button id="close" class="md-icon-button _default-md-style" ng-click="$ctrl.cancel()">
                    <md-icon aria-label="Close dialog">close</md-icon>
                </md-button>
            </div>
        </md-toolbar>

        <md-dialog-content class="modal-content">
            <div class="md-dialog-content modal-content__wrapper">
                    <div layout="row" ng-if="$ctrl.isMobile">
                        <md-input-container class="test-details__search _with-icon _without-animation">
                            <label class="placeholder-label">Search items</label>
                            <input ng-model-options="{debounce: 700}"
                                type="text"
                                ng-model="$ctrl.searchCriteria"
                                aria-label="Search items"
                                aria-describedby="basic-addon2">
                            <i class="material-icons">
                                search
                            </i>
                        </md-input-container>
                    </div>
                    <div layout="row">
                        <status-buttons on-button-click="$ctrl.onStatusChange($statuses);" initial-selections="$ctrl.statusInitValues"></status-buttons>
                    </div>
            </div>
        </md-dialog-content>

        <md-dialog-actions class="styled-modal__controls-wrapper">
            <md-button class="md-raised" type="button" ng-click="$ctrl.reset();"><span>RESET</span></md-button>
            <md-button class="md-raised md-primary pull-right" type="button" ng-click="$ctrl.onApply(true);"><span>APPLY</span></md-button>
        </md-dialog-actions>
    </div>
</md-dialog>
